﻿// ==============================================================================================================
// Microsoft patterns & practices
// Cloud Design Patterns project
// ==============================================================================================================
// ©2013 Microsoft. All rights reserved. 
// Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance 
// with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software distributed under the License is 
// distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
// See the License for the specific language governing permissions and limitations under the License.
// ==============================================================================================================
namespace StaticContentHosting.Web
{
    using Microsoft.WindowsAzure.ServiceRuntime;
    using Microsoft.WindowsAzure.Storage;

    public class Settings
    {
        public static string StaticContentStorageConnectionString {
            get
            {
                return RoleEnvironment.GetConfigurationSettingValue("StaticContent.StorageConnectionString");
            }
        }

        public static string StaticContentContainer
        {
            get
            {
                return RoleEnvironment.GetConfigurationSettingValue("StaticContent.Container");
            }
        }

        public static string StaticContentBaseUrl
        {
            get
            {
                var account = CloudStorageAccount.Parse(StaticContentStorageConnectionString);

                return string.Format("{0}/{1}", account.BlobEndpoint.ToString().TrimEnd('/'), StaticContentContainer.TrimStart('/'));
            }
        }
    }
}